跳转到主要内容
计算管理/虚拟机相关接口
GETVM Related Interfaces起始版本 4.10.18同步需要认证

查询虚拟机自定义操作系统规范

查询虚拟机自定义操作系统规范

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • vmInstanceUuidString必填

      虚拟机UUID

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • platformString必填

      虚拟机操作系统平台类型

    • hostnameString必填

      主机名称

    • generateSIDBoolean必填

      是否生成SID

    • domainNameString必填

      域名称或工作组名称

    • domainUsernameString必填

      域用户名

    • organizationString必填

      组织单位

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • domainModeVmCustomSpecificationDomainMode必填

      详情参考domainMode

      • WorkGroupVmCustomSpecificationDomainMode必填

        工作组

      • DomainVmCustomSpecificationDomainMode必填

  • errorErrorCode必填

    详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

GET/zstack/v1/vm-custom-specifications

/zstack/v1/vm-custom-specifications

操作 ID

QueryVmCustomSpecification

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vm-custom-specifications' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "uuid": "ff0a9e874342368bb28daaf2c9b3cc00", "vmInstanceUuid": "ff01ec80fd11327cba7519b66119d900", "name": "custom-specification-for-vm-1", "description": "Test", "platform": "Windows", "hostname": "vm-1", "rootPassword": "password", "generateSID": true, "domainMode": "Domain", "domainName": "zsv.test", "domainUsername": "test", "domainPassword": "password", "organization": "OU\u003dzsv,DC\u003dzsv,DC\u003dtest" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史